#!/bin/bash
set -e

# Create a temporary directory for packaging
mkdir -p build
rm -rf build/*

# Copy all files to the build directory
cp -r CloudronManifest.json Dockerfile .env.template elasticsearch.yml start.sh stop.sh README.md logo.png build/

# Create the package
cd build
cloudron build --set-repository andreasdueren/elasticsearch-cloudron --tag latest

echo "Package created successfully!" 